Obtener factura por ID con detalles
curl --request GET \
--url https://api.raul.ugps.io/api/v1/billing/invoices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/billing/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/billing/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"receiver_name": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"subtotal": 123,
"discount_total": 123,
"net_amount": 123,
"tax_rate": 123,
"tax_amount": 123,
"total_amount": 123,
"amount_paid": 123,
"client_credit_balance": 123,
"payment_terms_days": 123,
"invoice_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"line_items": [
{
"id": "<string>",
"invoice_id": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount_pct": 123,
"subtotal": 123,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"unit_price_uf": {},
"source_type": {},
"source_id": {}
}
],
"events": [
{
"id": "<string>",
"invoice_id": "<string>",
"event_type": "<string>",
"processed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor_id": {},
"payload": {},
"processed_at": {}
}
],
"credit_notes": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"receiver_name": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"subtotal": 123,
"discount_total": 123,
"net_amount": 123,
"tax_rate": 123,
"tax_amount": 123,
"total_amount": 123,
"amount_paid": 123,
"client_credit_balance": 123,
"payment_terms_days": 123,
"invoice_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_id": {},
"receiver_rut": {},
"receiver_email": {},
"receiver_address": {},
"receiver_ciudad": {},
"receiver_comuna": {},
"receiver_giro": {},
"tax_amount_override": {},
"total_amount_override": {},
"uf_value_at_creation": {},
"folio_prefix": {},
"folio_number": {},
"internal_notes": {},
"public_notes": {},
"concept": {},
"periodo": {},
"credit_note_for_id": {},
"credit_note_reason": {},
"factura_id": {},
"parent_client_id": {},
"billing_client_id": {},
"oc_number": {},
"hes_number": {},
"requires_oc": true,
"requires_hes": true,
"detail_xlsx_url": {},
"last_dte_error": {},
"dte_retry_count": 123,
"dte_local_status": {},
"sii_status_detail": {},
"created_by": {},
"deleted_at": {}
}
],
"references": [
{
"id": "<string>",
"invoice_id": "<string>",
"doc_number": "<string>",
"doc_type_code": "<string>",
"doc_type_name": "<string>",
"doc_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_code": {},
"reason": {},
"odoo_reference_id": {}
}
],
"factoring_capabilities": {
"can_create": true,
"reason_code": {},
"reason_label": {}
},
"client_id": {},
"receiver_rut": {},
"receiver_email": {},
"receiver_address": {},
"receiver_ciudad": {},
"receiver_comuna": {},
"receiver_giro": {},
"tax_amount_override": {},
"total_amount_override": {},
"uf_value_at_creation": {},
"folio_prefix": {},
"folio_number": {},
"internal_notes": {},
"public_notes": {},
"concept": {},
"periodo": {},
"credit_note_for_id": {},
"credit_note_reason": {},
"factura_id": {},
"parent_client_id": {},
"billing_client_id": {},
"oc_number": {},
"hes_number": {},
"requires_oc": true,
"requires_hes": true,
"detail_xlsx_url": {},
"last_dte_error": {},
"dte_retry_count": 123,
"dte_local_status": {},
"sii_status_detail": {},
"created_by": {},
"deleted_at": {},
"dte_document_id": {},
"dte_documents": [
{
"id": "<string>",
"document_type": "<string>",
"local_status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"folio": {},
"odoo_dte_status": {},
"sii_track_id": {},
"sii_status_detail": {},
"intercambio_casilla_email": {},
"intercambio_sent_at": {},
"sii_accepted_at": {},
"acceptance_status": {},
"acceptance_updated_at": {},
"acceptance_notes": {},
"pdf_blob_url": {},
"cedible_pdf_blob_url": {}
}
],
"factoring": {
"status": "processing",
"synced_at": "<string>",
"partner_id": {},
"partner_name": {},
"yielded_at": {},
"aec_attachment_id": {},
"aec_attachment_name": {},
"aec_entry_id": {},
"aec_entry_name": {},
"provider": "sii_direct",
"aec_track_id": {},
"rtc_estado": {},
"rtc_glosa": {},
"has_aec_xml": true
}
}Invoices
Obtener factura por ID con detalles
Operacion: Obtener factura por ID con detalles.
GET
/
api
/
v1
/
billing
/
invoices
/
{id}
Obtener factura por ID con detalles
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
UUID de la factura
Response
Saldo a favor disponible del cliente desde sobrepagos de otras facturas
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
local_status del DTE más reciente (estado del XML ante el SII)
Detalle libre devuelto por el SII para el DTE más reciente
Show child attributes
Show child attributes
Show child attributes
Show child attributes